Post by Randem » Thu Mar 03, 2016 3:23 pm

I have started testing the latest OpenCart v2.2.0.0 release and here are a few things that I have found:

The database have changed a little bit; a few changed field names, a few new fields, a few removed fields and some data changes; mostly foreign character conversions. I have attached a report showing the changes in the database structure and data contained within.

I have also attempted to install v2.2.0.0 with no success. I downloaded the one from OpenCart.com and also the one from Github with the same results. I can't get past the License Agreement page. I get a the following message:

"The information you have entered on this page will be sent over an insecure connection and could be read by a third party.

Are you sure you want to send this information?"

When I press continue, it seems like it wants to do something but comes back to the license agreement screen. Now, I am installing on a site with HTTPS and with SSL installed. I will try on a site using HTTP and without SSL installed to see if that is the problem.

Attachments

Diff report to show what has changed in the database from v2.1.0.x to v2.2.0.0

OpenCart2200.png

Can't get past this on the new install - OpenCart2200.png (45.88 KiB) Viewed 10193 times

Last edited by Randem on Sun Mar 06, 2016 10:32 am, edited 4 times in total.

NEVER take serious; anyone who gives negative impact statements with no ABSOLUTE proof!
OpenCart Helpful Information * Upgrade 1.5 to 2.1 * Upgrade 2.1 to 2.2
"Why do people NEVER have enough time to do it right but ALWAYS enough time to do it over?"
DO NOT EVER GIVE SOMEONE YOU DON"T KNOW ADMIN ACCESS TO ANYTHING!
I am NOT affiliated with OpenCart


User avatar
Active Member

Posts

Joined
Sat Sep 27, 2014 9:17 am

Post by Randem » Thu Mar 03, 2016 5:33 pm

Ok, some good news and bad... You are able to install on a domain that does not have SSL active but on a domain site with SSL active you will get the error I have shown. So it seems for now this is bad if you already have a site with SSL you will not be able to install if your htaccess file redirects HTTP to HTTPS. Silly but true... v2.1.0.x did not have this issue.

NEVER take serious; anyone who gives negative impact statements with no ABSOLUTE proof!
OpenCart Helpful Information * Upgrade 1.5 to 2.1 * Upgrade 2.1 to 2.2
"Why do people NEVER have enough time to do it right but ALWAYS enough time to do it over?"
DO NOT EVER GIVE SOMEONE YOU DON"T KNOW ADMIN ACCESS TO ANYTHING!
I am NOT affiliated with OpenCart


User avatar
Active Member

Posts

Joined
Sat Sep 27, 2014 9:17 am

Post by Randem » Thu Mar 03, 2016 6:57 pm

Now the "Upgrade" test. I tried two different databases v1.5.6.1 & v2.1.0.1 and both failed as you can see in the attached pictures.

Attachments

Opencart2200_upgradev2101.png

Attempt at upgrading a v2.1.0.1 database. - Opencart2200_upgradev2101.png (64.1 KiB) Viewed 10175 times

Opencart2200_upgradev1561.png

Attempt at upgrading a v1.5.6.1 database - Opencart2200_upgradev1561.png (65.18 KiB) Viewed 10175 times


NEVER take serious; anyone who gives negative impact statements with no ABSOLUTE proof!
OpenCart Helpful Information * Upgrade 1.5 to 2.1 * Upgrade 2.1 to 2.2
"Why do people NEVER have enough time to do it right but ALWAYS enough time to do it over?"
DO NOT EVER GIVE SOMEONE YOU DON"T KNOW ADMIN ACCESS TO ANYTHING!
I am NOT affiliated with OpenCart


User avatar
Active Member

Posts

Joined
Sat Sep 27, 2014 9:17 am

Post by labeshops » Fri Mar 04, 2016 3:57 am

Randem wrote:Ok, some good news and bad... You are able to install on a domain that does not have SSL active but on a domain site with SSL active you will get the error I have shown. So it seems for now this is bad if you already have a site with SSL you will not be able to install if your htaccess file redirects HTTP to HTTPS. Silly but true... v2.1.0.x did not have this issue.
I installed on a subdomain for a domain with an active SSL and had no problems at all. If this is a problem for some one, should be a very easy solution - disable the htaccess temporarily while you install 2.2.

Running Opencart v2.2 with multi-stores from http://www.labeshops.com which has links to all my stores.

Image


User avatar
Expert Member

Posts

Joined
Thu Aug 04, 2011 4:41 am
Location - Florida, USA

Post by Randem » Fri Mar 04, 2016 4:03 am

Yes, Thanks I am aware of this... I am just reporting issues that I have encounters and possible solutions. I am just bringing to the attention that something has changed...
you will not be able to install if your htaccess file redirects HTTP to HTTPS.
Perhaps I needed to add that if this happens you should disable .httaccess to install.

NEVER take serious; anyone who gives negative impact statements with no ABSOLUTE proof!
OpenCart Helpful Information * Upgrade 1.5 to 2.1 * Upgrade 2.1 to 2.2
"Why do people NEVER have enough time to do it right but ALWAYS enough time to do it over?"
DO NOT EVER GIVE SOMEONE YOU DON"T KNOW ADMIN ACCESS TO ANYTHING!
I am NOT affiliated with OpenCart


User avatar
Active Member

Posts

Joined
Sat Sep 27, 2014 9:17 am

Post by N1kko » Sat Mar 05, 2016 12:22 am

So not currently possible to upgrade from 2.1.0.x to 2.2.0.0?

User avatar
New member

Posts

Joined
Tue Dec 15, 2009 1:19 am

Post by Randem » Sat Mar 05, 2016 3:38 am

Not as of yet. There are still a few issues in the actual installation in some circumstances dealing with SSL and also the admin panel. It is not as easy as it once was for most installs. I will post here the finding when I figure out just what is going on... The code has changed a bit in controlling the way the process is routed. I actually like the direction but it has cause a few glitches as well as you can expect with something new.
Last edited by Randem on Sat Mar 05, 2016 4:10 am, edited 1 time in total.

NEVER take serious; anyone who gives negative impact statements with no ABSOLUTE proof!
OpenCart Helpful Information * Upgrade 1.5 to 2.1 * Upgrade 2.1 to 2.2
"Why do people NEVER have enough time to do it right but ALWAYS enough time to do it over?"
DO NOT EVER GIVE SOMEONE YOU DON"T KNOW ADMIN ACCESS TO ANYTHING!
I am NOT affiliated with OpenCart


User avatar
Active Member

Posts

Joined
Sat Sep 27, 2014 9:17 am

Post by pm-netti » Sat Mar 05, 2016 4:05 am

N1kko wrote:So not currently possible to upgrade from 2.1.0.x to 2.2.0.0?
You can look this my signature Opencart Remote Upgrade Tool

Image
- - - OpenCart Upgrade Service - - -


User avatar
Active Member

Posts

Joined
Sat Apr 07, 2012 11:22 pm
Location - Kittilä-Finland

Post by Randem » Sat Mar 05, 2016 4:25 am

nikko,

I wouldn't even attempt to upgrade until you know exactly what you are getting into as far as MOD compatibility and such. That is what this thread is meant for; to allow one to see and learn what they are getting into before attempting the upgrade and what to expect afterwards. Meaning just because you can do something does not mean that you should do it.

NEVER take serious; anyone who gives negative impact statements with no ABSOLUTE proof!
OpenCart Helpful Information * Upgrade 1.5 to 2.1 * Upgrade 2.1 to 2.2
"Why do people NEVER have enough time to do it right but ALWAYS enough time to do it over?"
DO NOT EVER GIVE SOMEONE YOU DON"T KNOW ADMIN ACCESS TO ANYTHING!
I am NOT affiliated with OpenCart


User avatar
Active Member

Posts

Joined
Sat Sep 27, 2014 9:17 am

Post by exit15 » Sat Mar 05, 2016 9:00 am

pm-netti wrote:You can look this my signature Opencart Remote Upgrade Tool
Does this tool work? People are reporting so many problems with upgrades, I'm a little concerned that i will run into problems, also not knowing what the tool is doing, harder to roll back?

New member

Posts

Joined
Sun Mar 03, 2013 2:05 am


Post by Randem » Sat Mar 05, 2016 9:09 am

There seems to be some strange results with the Admin panel when using HTTPS vs HTTP in some cases. If you attempt to login using HTTPS protocol it informs you of the following:

Code: Select all

The information you have entered on this page will be sent over an insecure connection and could be read by a third party.

Are you sure you want to send this information?
This is because while you are accessing the Admin page using HTTPS, the page is attempting to post as HTTP. This would defeat the whole point of HTTPS, yes? It seems thru my testing that the only way to enter the Admin Panel is thru HTTP and that works fine but defeats the purpose of running your admin under HTTPS.

Now you might think this minor but the whole purpose of using HTTPS on a login page is so that your credentials do not go over the internet not encrypted... As you can see in the address bar the page (Using HTTPS) is not secure by the lock with the warning triangle, which if the page was totally secure the lock would be green with no triangle as in the v2.1.0.x HTTPS Admin image. No lock at all means that any data on the page can be viewed and intercepted by a third party

Also the display of the screen is off for some reason using HTTPS as in the illustrations. I reinstalled v2.2.0.0 again and this display did not happen when using HTTPS.

The odd thing after re-installation was that using HTTPS; if your .htaccess redirects some HTTPS to HTTP you will be allowed to login anyway after getting the error about posting because it gets redirected to HTTP (NOT GOOD).

Attachments

Admin- HTTPS - Good.png

v2.1.0.x HTTPS Admin - Admin- HTTPS - Good.png (17.24 KiB) Viewed 9999 times

Admin - HTTP.png

Using HTTP - Admin - HTTP.png (16.51 KiB) Viewed 10001 times

Admin - HTTPS.png

Using HTTPS - Admin - HTTPS.png (15.35 KiB) Viewed 10001 times

Last edited by Randem on Sun Mar 06, 2016 1:27 pm, edited 1 time in total.

NEVER take serious; anyone who gives negative impact statements with no ABSOLUTE proof!
OpenCart Helpful Information * Upgrade 1.5 to 2.1 * Upgrade 2.1 to 2.2
"Why do people NEVER have enough time to do it right but ALWAYS enough time to do it over?"
DO NOT EVER GIVE SOMEONE YOU DON"T KNOW ADMIN ACCESS TO ANYTHING!
I am NOT affiliated with OpenCart


User avatar
Active Member

Posts

Joined
Sat Sep 27, 2014 9:17 am

Post by pm-netti » Sat Mar 05, 2016 6:52 pm

exit15 wrote:
pm-netti wrote:You can look this my signature Opencart Remote Upgrade Tool
Does this tool work? People are reporting so many problems with upgrades, I'm a little concerned that i will run into problems, also not knowing what the tool is doing, harder to roll back?
Yes, this do normal upgrade successfully.
After upgrade is normal eg. compatibility issues with 3 party extensions ( you can look development forum of this extension ).

Image
- - - OpenCart Upgrade Service - - -


User avatar
Active Member

Posts

Joined
Sat Apr 07, 2012 11:22 pm
Location - Kittilä-Finland

Post by N1kko » Sat Mar 05, 2016 10:27 pm

This is the only PHP Shopping cart I know that doesn't allow you to upgrade from one version to the next... What a joke! ??? ??? ???

User avatar
New member

Posts

Joined
Tue Dec 15, 2009 1:19 am

Post by labeshops » Sat Mar 05, 2016 10:58 pm

N1kko wrote:This is the only PHP Shopping cart I know that doesn't allow you to upgrade from one version to the next... What a joke! ??? ??? ???
Q and Daniel are working on fixing the upgrade script. You might want to follow this thread viewtopic.php?f=2&t=158970

So give it a little more time. I am planning to update my 1.5.6.4 shop to 2.2 when the script works too. In the meantime, I have a separate 2.2 install and am working to test mods, customize my templates, etc. so it will be ready to go once I can probably upgrade the database.

Running Opencart v2.2 with multi-stores from http://www.labeshops.com which has links to all my stores.

Image


User avatar
Expert Member

Posts

Joined
Thu Aug 04, 2011 4:41 am
Location - Florida, USA

Post by fakhricker » Sun Mar 06, 2016 11:51 am

SSL page will work if we unable seo mode
i tried and it was worked
._.

Newbie

Posts

Joined
Sun Jan 10, 2016 11:26 pm

Post by Randem » Sun Mar 06, 2016 12:42 pm

Please show example of it working... View the source page of the login page to see if there is http:// on it.
If so it is not working...

NEVER take serious; anyone who gives negative impact statements with no ABSOLUTE proof!
OpenCart Helpful Information * Upgrade 1.5 to 2.1 * Upgrade 2.1 to 2.2
"Why do people NEVER have enough time to do it right but ALWAYS enough time to do it over?"
DO NOT EVER GIVE SOMEONE YOU DON"T KNOW ADMIN ACCESS TO ANYTHING!
I am NOT affiliated with OpenCart


User avatar
Active Member

Posts

Joined
Sat Sep 27, 2014 9:17 am

Post by s83k5v4 » Sun Mar 06, 2016 9:38 pm

How come this version has been promoted to the front page as the current/stable version while it has not been tested correctly?
This seems very strange or sloppy, resulting in a lot of wasted time for users.

Why not instead release it as a beta until it has been tested correctly?

See also:
http://forum.opencart.com/viewtopic.php ... 1&p=607102

Newbie

Posts

Joined
Sun Mar 06, 2016 9:12 pm

Post by Randem » Mon Mar 07, 2016 5:05 am

BETA??? from what I understand this is the ALPHA version, it NEVER went to BETA, just straight to release without conferring with those who actually uses it, and make fixes for it.
Jan 22, 2016 it was alpha, March 2 Released...
Still the same mistakes in code as previous version even though the forum members have since provided fixes they still did not make it to any version...

this product has a good chance of being very good if the developers didn't operate in a bubble...

NEVER take serious; anyone who gives negative impact statements with no ABSOLUTE proof!
OpenCart Helpful Information * Upgrade 1.5 to 2.1 * Upgrade 2.1 to 2.2
"Why do people NEVER have enough time to do it right but ALWAYS enough time to do it over?"
DO NOT EVER GIVE SOMEONE YOU DON"T KNOW ADMIN ACCESS TO ANYTHING!
I am NOT affiliated with OpenCart


User avatar
Active Member

Posts

Joined
Sat Sep 27, 2014 9:17 am

Post by Randem » Mon Mar 07, 2016 6:13 am

The answer to SSl and the Admin Panel is in this thread - http://forum.opencart.com/viewtopic.php ... 43#p607243

This will get it to work properly. I will work on a fix that when you select Use SSL in store settings that these things get changes too.

NEVER take serious; anyone who gives negative impact statements with no ABSOLUTE proof!
OpenCart Helpful Information * Upgrade 1.5 to 2.1 * Upgrade 2.1 to 2.2
"Why do people NEVER have enough time to do it right but ALWAYS enough time to do it over?"
DO NOT EVER GIVE SOMEONE YOU DON"T KNOW ADMIN ACCESS TO ANYTHING!
I am NOT affiliated with OpenCart


User avatar
Active Member

Posts

Joined
Sat Sep 27, 2014 9:17 am

Post by danguz74 » Tue Mar 08, 2016 11:56 pm

Is there a way to downgrade? The upgrade went thru for me but now I am getting errors on the products pages and a couple other pages have 500 errors. The site isn't live yet which probably helped with not getting errors. Is there a way to fix them without paying? Thanks!

Newbie

Posts

Joined
Wed Feb 24, 2016 12:45 am
Who is online

Users browsing this forum: No registered users and 9 guests